=== debian/changelog ===
gcl27 (2.7.0-35) unstable; urgency=medium

  * Version_2_7_0pre38
  * Bug fix: "ftbfs with GCC-15", thanks to Matthias Klose (Closes:
    #1096686).

 -- Camm Maguire <camm@debian.org>  Thu, 06 Mar 2025 10:54:11 -0500

gcl27 (2.7.0-34) unstable; urgency=medium

  * Version_2_7_0pre37
  * Bug fix: "outdated debconf version constraint; inhibits support for
    debconf-2.0/cdebconf", thanks to Gioele Barabucci (Closes: #1096166).

 -- Camm Maguire <camm@debian.org>  Tue, 18 Feb 2025 12:50:30 -0500

gcl27 (2.7.0-33) unstable; urgency=medium

  * Version_2_7_0pre36

 -- Camm Maguire <camm@debian.org>  Sat, 08 Feb 2025 15:29:48 -0500

gcl27 (2.7.0-32) unstable; urgency=medium

  * Version_2_7_0pre35

 -- Camm Maguire <camm@debian.org>  Sun, 02 Feb 2025 12:00:42 -0500

gcl27 (2.7.0-31) unstable; urgency=medium

  * Version_2_7_0pre34

 -- Camm Maguire <camm@debian.org>  Fri, 17 Jan 2025 18:42:15 -0500

gcl27 (2.7.0-30) unstable; urgency=medium

  * Version_2_7_0pre33

 -- Camm Maguire <camm@debian.org>  Fri, 27 Dec 2024 13:21:13 -0500

gcl27 (2.7.0-29) unstable; urgency=medium

  * Version_2_7_0pre32

 -- Camm Maguire <camm@debian.org>  Mon, 09 Dec 2024 10:00:39 -0500

gcl27 (2.7.0-28) unstable; urgency=medium

  * Version_2_7_0pre31

 -- Camm Maguire <camm@debian.org>  Wed, 04 Dec 2024 13:25:14 -0500

gcl27 (2.7.0-27) unstable; urgency=medium

  * Version_2_7_0pre30

 -- Camm Maguire <camm@debian.org>  Wed, 04 Dec 2024 07:48:31 -0500

gcl27 (2.7.0-26) unstable; urgency=medium

  * Version_2_7_0pre29

 -- Camm Maguire <camm@debian.org>  Sat, 23 Nov 2024 11:33:30 -0500

gcl27 (2.7.0-25) unstable; urgency=medium

  * Bug fix: "needs rebuild against dh-elpa &gt;=2.1.5", thanks to
    spwhitton@spwhitton.name</a>; (Closes: #1077103).

 -- Camm Maguire <camm@debian.org>  Sun, 28 Jul 2024 12:07:24 -0400

gcl27 (2.7.0-24) unstable; urgency=medium

  * Version_2_7_0pre27

 -- Camm Maguire <camm@debian.org>  Fri, 19 Jul 2024 15:04:27 -0400

gcl27 (2.7.0-23) unstable; urgency=medium

  * Version_2_7_0pre26

 -- Camm Maguire <camm@debian.org>  Sun, 28 Apr 2024 22:13:09 -0400

gcl27 (2.7.0-22) unstable; urgency=medium

  * Version_2_7_0pre25

 -- Camm Maguire <camm@debian.org>  Sun, 28 Apr 2024 07:55:48 -0400

gcl27 (2.7.0-21) unstable; urgency=high

  * Version_2_7_0pre24
  * Bug fix: "recent libc6-dev change causes XDR support to be dropped",
    thanks to Aurelien Jarno (Closes: #1065207).

 -- Camm Maguire <camm@debian.org>  Fri, 15 Mar 2024 20:00:19 -0400

gcl27 (2.7.0-20) unstable; urgency=medium

  * Version_2_7_0pre23

 -- Camm Maguire <camm@debian.org>  Thu, 29 Feb 2024 06:51:25 -0500

gcl27 (2.7.0-19) unstable; urgency=medium

  * Version_2_7_0pre22

 -- Camm Maguire <camm@debian.org>  Wed, 28 Feb 2024 13:35:45 -0500

gcl27 (2.7.0-18) unstable; urgency=medium

  * Version_2_7_0pre21

 -- Camm Maguire <camm@debian.org>  Sat, 24 Feb 2024 08:40:29 -0500

gcl27 (2.7.0-17) unstable; urgency=medium

  * Version_2_7_0pre20

 -- Camm Maguire <camm@debian.org>  Fri, 23 Feb 2024 12:23:51 -0500

gcl27 (2.7.0-16) unstable; urgency=medium

  * Version_2_7_0pre19

 -- Camm Maguire <camm@debian.org>  Thu, 22 Feb 2024 22:03:20 -0500

gcl27 (2.7.0-15) unstable; urgency=medium

  * Version_2_7_0pre18

 -- Camm Maguire <camm@debian.org>  Thu, 22 Feb 2024 15:00:44 -0500

gcl27 (2.7.0-14) unstable; urgency=medium

  * Version_2_7_0pre17

 -- Camm Maguire <camm@debian.org>  Wed, 21 Feb 2024 08:03:46 -0500

gcl27 (2.7.0-13) unstable; urgency=medium

  * Version_2_7_0pre16

 -- Camm Maguire <camm@debian.org>  Wed, 21 Feb 2024 00:17:54 -0500

gcl27 (2.7.0-12) unstable; urgency=medium

  * Version_2_7_0pre15

 -- Camm Maguire <camm@debian.org>  Mon, 19 Feb 2024 19:08:05 -0500

gcl27 (2.7.0-11) unstable; urgency=medium

  * Version_2_7_0pre14

 -- Camm Maguire <camm@debian.org>  Mon, 19 Feb 2024 11:04:51 -0500

gcl27 (2.7.0-10) unstable; urgency=medium

  * Version_2_7_0pre13

 -- Camm Maguire <camm@debian.org>  Sun, 28 Jan 2024 20:17:32 -0500

gcl27 (2.7.0-9) unstable; urgency=medium

  * Version_2_7_0pre12

 -- Camm Maguire <camm@debian.org>  Sun, 28 Jan 2024 18:09:15 -0500

gcl27 (2.7.0-8) unstable; urgency=medium

  * Version_2_7_0pre11

 -- Camm Maguire <camm@debian.org>  Sun, 28 Jan 2024 10:36:24 -0500

gcl27 (2.7.0-7) unstable; urgency=medium

  * Version_2_7_0pre10

 -- Camm Maguire <camm@debian.org>  Sat, 27 Jan 2024 12:35:03 -0500

gcl27 (2.7.0-6) unstable; urgency=medium

  * Version_2_7_0pre9

 -- Camm Maguire <camm@debian.org>  Thu, 21 Dec 2023 15:02:31 -0500

gcl27 (2.7.0-5) unstable; urgency=medium

  * Version_2_7_0pre8

 -- Camm Maguire <camm@debian.org>  Thu, 21 Dec 2023 13:08:00 -0500

gcl27 (2.7.0-4) unstable; urgency=medium

  * Version_2_7_0pre7

 -- Camm Maguire <camm@debian.org>  Thu, 21 Dec 2023 09:37:49 -0500

gcl27 (2.7.0-3) unstable; urgency=medium

  * Version_2_7_0pre5

 -- Camm Maguire <camm@debian.org>  Wed, 20 Dec 2023 19:47:35 -0500

gcl27 (2.7.0-2) unstable; urgency=medium

  * Version_2_7_0pre4

 -- Camm Maguire <camm@debian.org>  Wed, 20 Dec 2023 16:01:04 -0500

gcl27 (2.7.0-1) unstable; urgency=medium

  * Version_2_7_0pre3

 -- Camm Maguire <camm@debian.org>  Thu, 14 Dec 2023 16:20:45 -0500

gcl (2.6.13-5) unstable; urgency=medium

  * Version_2_6_14pre4

 -- Camm Maguire <camm@debian.org>  Sun, 25 Dec 2022 07:14:33 -0500

gcl (2.6.13-4) unstable; urgency=medium

  * Version_2_6_14pre3

 -- Camm Maguire <camm@debian.org>  Fri, 23 Dec 2022 11:34:35 -0500

gcl (2.6.13-3) unstable; urgency=medium

  * Version_2_6_14pre2

 -- Camm Maguire <camm@debian.org>  Thu, 22 Dec 2022 19:09:24 -0500

gcl (2.6.13-2) unstable; urgency=medium

  * Version_2_6_14pre1

 -- Camm Maguire <camm@debian.org>  Wed, 21 Dec 2022 14:40:21 -0500

gcl (2.6.13-1) unstable; urgency=medium

  * New Upstream Release

 -- Camm Maguire <camm@debian.org>  Tue, 20 Dec 2022 10:35:44 -0500

gcl (2.6.12-131) unstable; urgency=medium

  * Version_2.6.13pre131


