=== debian/control ===
Source: gcl27
Section: lisp
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Homepage: http://gnu.org/software/gcl
Build-Depends: debhelper (>= 13), libeditreadline-dev, m4, tk8.6-dev, libgmp-dev, libxmu-dev, libxaw7-dev, po-debconf, zlib1g-dev, tcl, texinfo, texlive-latex-base, libtirpc-dev
Build-Depends-Indep: dh-elpa
Standards-Version: 4.5.0

Package: gcl27
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf, libtirpc-dev
Suggests: gcl27-doc
Description: GNU Common Lisp compiler
 GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
 implemented in C, and complying mostly with the standard set 
 forth in the book "Common Lisp, the Language I".  It attempts
 to strike a useful middle ground in performance and portability
 from its design around C.
 .
 This package contains the Lisp system itself.  Documentation 
 is provided in the gcl-doc package.

Package: gcl27-tk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gcl27 (>= ${source:Version})
Description: GNU Common Lisp compiler
 GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
 implemented in C, and complying mostly with the standard set 
 forth in the book "Common Lisp, the Language I".  It attempts
 to strike a useful middle ground in performance and portability
 from its design around C.
 .
 This package contains a graphical interface based on the popular
 TCL/TK toolkit.

Package: elpa-gcl27
Architecture: all
Depends: gcl27 (>= ${source:Version}), emacs-gtk | emacsen, ${misc:Depends}
Section: lisp
Description: GNU Common Lisp compiler
 GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
 implemented in C, and complying mostly with the standard set 
 forth in the book "Common Lisp, the Language I".  It attempts
 to strike a useful middle ground in performance and portability
 from its design around C.
 .
 This package contains an emacs interface to GCL.

Package: gcl27-doc
Section: doc
Architecture: all
Conflicts: gclinfo
Replaces: gclinfo
Depends: dpkg (>= 1.15.4), ${misc:Depends}
Description: Documentation for GNU Common Lisp
 GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
 implemented in C, and complying mostly with the standard set 
 forth in the book "Common Lisp, the Language I".  It attempts
 to strike a useful middle ground in performance and portability
 from its design around C.
 .
 This package contains documentation in info format of the
 system internals.

Package: gcl27-tk-doc
Section: doc
Architecture: all
Conflicts: gclinfo
Replaces: gclinfo
Depends: dpkg (>= 1.15.4), ${misc:Depends}
Description: Documentation for GNU Common Lisp
 GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
 implemented in C, and complying mostly with the standard set 
 forth in the book "Common Lisp, the Language I".  It attempts
 to strike a useful middle ground in performance and portability
 from its design around C.
 .
 This package contains documentation in info format of the
 graphical interface currently implemented in Tcl/Tk.
