## gcl27 2.7.1

=== debian/changelog ===
gcl27 (2.7.1-8) unstable; urgency=medium

  * Bug fix: "FTBFS: /tmp/gazonk_6005_0.c:21:63: error: implicit
    declaration of function &#39;__builtin_c23_va_start&#39;; did you mean
    &#39;__builtin_ms_va_start&#39;? [-Wimplicit-function-declaration]",
    thanks to Santiago Vila (Closes: #1114119).
  * Version_2_7_2pre7

 -- Camm Maguire <camm@debian.org>  Sun, 21 Sep 2025 14:06:45 -0400

gcl27 (2.7.1-7) unstable; urgency=medium

  * Version_2_7_2pre6
  * Bug fix: "[INTL:nl] Dutch debconf templates translation", thanks to Frans Spiesschaert (Closes: #1106482).

 -- Camm Maguire <camm@debian.org>  Thu, 29 May 2025 19:11:18 -0400

gcl27 (2.7.1-6) unstable; urgency=medium

  * Version_2_7_2pre5

 -- Camm Maguire <camm@debian.org>  Wed, 14 May 2025 02:58:40 -0400

gcl27 (2.7.1-5) unstable; urgency=medium

  * Version_2_7_2pre4
  * Bug fix: "[INTL:pt] Portuguese translation - debconf messages", thanks
    to Américo Monteiro (Closes: #1104887).
  * Bug fix: "[INTL:de] updated German debconf translation", thanks to
    Helge Kreutzmann (Closes: #1104918).

 -- Camm Maguire <camm@debian.org>  Sat, 10 May 2025 19:27:15 -0400

gcl27 (2.7.1-4) unstable; urgency=medium

  * Version_2_7_2ore3

 -- Camm Maguire <camm@debian.org>  Sat, 03 May 2025 09:21:20 -0400

gcl27 (2.7.1-3) unstable; urgency=medium

  * Version_2_7_2ore2

 -- Camm Maguire <camm@debian.org>  Tue, 22 Apr 2025 20:39:18 -0400

gcl27 (2.7.1-2) unstable; urgency=medium

  * Version_2_7_2ore1

 -- Camm Maguire <camm@debian.org>  Fri, 11 Apr 2025 20:30:34 -0400

gcl27 (2.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Thu, 10 Apr 2025 21:39:17 -0400

gcl27 (2.7.0-36) unstable; urgency=medium

  * Version_2_7_0pre39

 -- Camm Maguire <camm@debian.org>  Mon, 24 Mar 2025 16:30:46 -0400
