=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Camm Maguire <camm@debian.org>
 Homepage: http://gnu.org/software/gcl
-Build-Depends: debhelper (>= 13), libeditreadline-dev, m4, tk8.6-dev, libgmp-dev, libxmu-dev, libxaw7-dev, po-debconf, zlib1g-dev, tcl, texinfo, texlive-latex-base, libtirpc-dev
+Build-Depends: debhelper-compat (= 13), libeditreadline-dev, m4, tk8.6-dev, libgmp-dev, libxmu-dev, libxaw7-dev, po-debconf, zlib1g-dev, tcl, texinfo, texlive-latex-extra, texlive-fonts-recommended, libtirpc-dev
 Build-Depends-Indep: dh-elpa
 Standards-Version: 4.5.0
 
@@ -53,6 +53,7 @@
 Conflicts: gclinfo
 Replaces: gclinfo
 Depends: dpkg (>= 1.15.4), ${misc:Depends}
+Multi-Arch: foreign
 Description: Documentation for GNU Common Lisp
  GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
  implemented in C, and complying mostly with the standard set 
@@ -69,6 +70,7 @@
 Conflicts: gclinfo
 Replaces: gclinfo
 Depends: dpkg (>= 1.15.4), ${misc:Depends}
+Multi-Arch: foreign
 Description: Documentation for GNU Common Lisp
  GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
  implemented in C, and complying mostly with the standard set
